#pragma once

#include "Widget.h"

class TopBarMenu;

class TopBar : public Widget
{
public:
    TopBar();

    ~TopBar();

    static std::unique_ptr<TopBar> Create();
};

using TopBarUPtr = std::unique_ptr<TopBar>;
